Bug 1141886 - No take snapshot operation schedules for new storage nodes
Summary: No take snapshot operation schedules for new storage nodes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Operations, Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On: 1074633
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 16:16 UTC by Armine Hovsepyan
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:04:32 UTC


Attachments (Terms of Use)

Description Armine Hovsepyan 2014-09-15 16:16:09 UTC
Description of problem:
No take snapshot operation schedules for new storage nodes

Version-Release number of selected component (if applicable):
JON 3.3 ER02

How reproducible:
always

Steps to Reproduce:
1. Navigate to Storage cluster management page
2. Enable snapshot management with corresponding schedule
3. Install and start new storage node with agent, connect to existing jon server

Actual results:
No take snapshot operation schedules for new storage nodes

Expected results:

After step2. Snapshot managment should be switched on
New operation should be visible under StorageNode/Operations/schedule  -- schedules correspondingly with the date/time in snapshot management
After step3. snapshot of old/existing storage nodes should be created before adding new node
take snapshot operation should be scheduled (not started) for the new added storage as it is for existing nodes

Additional info:

Comment 3 Thomas Segismont 2014-09-23 14:56:18 UTC
Cherry-picked over to release/jon3.3.x

commit eb62617899ba150d55ff0fe7f60bacbc914f07ce
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Sep 23 15:32:52 2014 +0200
    
    Schedule snapshot management operations (based on cluster settings) for
    initial node and also for new node that just joined cluster.
    
    (cherry picked from commit d6fb1ccb51491d2d288dd335d39a75625ecd17c6)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 4 Simeon Pinder 2014-10-01 21:33:22 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 5 Armine Hovsepyan 2014-10-02 16:40:29 UTC
verified in JON 3.3 ER04
take snapshot operation was scheduled (according to snapshot management settings in cluster settings) as soon as storage was auto-discovered into inventory list.


Note You need to log in before you can comment on or make changes to this bug.